## Apache Zeta Components Manual :: Docs For Class ezcCacheStorageApcOptions

### Cache::ezcCacheStorageApcOptions

### Class ezcCacheStorageApcOptions

Option class for defining a connection to APC.

Source for this file: /Cache/src/options/storage_apc.php

    ezcBaseOptions
       |
       --ezcCacheStorageApcOptions

Version: | //autogentag//

### Descendants

Child Class | Description
--- | ---
ezcCacheStorageFileApcArrayOptions | Option class for APC array storage.

### Properties

string | read/write | `$lockKey` Cache key to use for locking. Default is '.ezcLock'.
int | read/write | `$lockWaitTime` Time to wait between lock availability checks. Measured in microseconds (http://www.php.net/usleep). Default is 200000.
int | read/write | `$maxLockTime` Time before a lock is considered dead, measured in seconds. Default is 5.
string | read/write | `$metaDataKey` The name of the file used to store meta data. Default is '.ezcMetaData'.

### Member Variables

protected ezcCacheStorageOptions | `$storageOptions` Parent storage options.

### Inherited Member Variables

From ezcBaseOptions
protected | `ezcBaseOptions::$properties`

### Method Summary

public ezcCacheStorageApcOptions | `__construct( [ $options = array()] )` Constructs an object with the specified values.

### Inherited Methods

From ezcBaseOptions
public ezcBaseOptions | `ezcBaseOptions::__construct()` Construct a new options object.
public void | `ezcBaseOptions::merge()` Merge an array into the actual options object.
public bool | `ezcBaseOptions::offsetExists()` Returns if an option exists.
public mixed | `ezcBaseOptions::offsetGet()` Returns an option value.
public void | `ezcBaseOptions::offsetSet()` Set an option.
public void | `ezcBaseOptions::offsetUnset()` Unset an option.

### Methods

#### __construct

ezcCacheStorageApcOptions __construct( [ $options = array()] )

Constructs an object with the specified values.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$options` | array(string=>mixed) |

##### Exceptions:

Type | Description
--- | ---
`ezcBaseValueException` | If $options contains a property with a value not allowed.
`ezcBasePropertyNotFoundException` | If $options contains a property not defined.

##### Redefinition of:

Method | Description
--- | ---
`ezcBaseOptions::__construct()` | Construct a new options object.

##### Redefined in descendants as:

Method | Description
--- | ---
`ezcCacheStorageFileApcArrayOptions::__construct()` | Constructs an object with the specified values.

Documentation generated by phpDocumentor 1.4.3